///////////////////////////////////////////////////////////
//  DumpMemory.h
//  Implementation of the Class DumpMemory
//  Created on:      29-4-2009 15:41:18
//  Original author: Ueno
///////////////////////////////////////////////////////////

#if !defined(EA_BA91C636_F31F_4028_B0EE_27AFD1B33442__INCLUDED_)
#define EA_BA91C636_F31F_4028_B0EE_27AFD1B33442__INCLUDED_

#include "UI/CommandInterpreter/Command.h"

namespace Application
{
	namespace EELTBootWriter
	{
		/**
		 * @author Ueno
		 * @version 1.0
		 * @created 29-4-2009 15:41:18
		 */
		class DumpMemory : public UI::CommandInterpreter::Command
		{

		public:
			DumpMemory();
			virtual ~DumpMemory();

			/**
			 * 
			 * @param command
			 */
			bool check(const Common::BasicType::Bytes* command);
			/**
			 * 
			 * @param com
			 * @param command
			 */
			void execute(Unit::Communication::Com* com, Common::BasicType::Bytes* command);

		private:
			void dumpTable(Unit::Communication::Com* com,Common::TypeDef::UOneByte * adr,Common::TypeDef::UTwoByte size);

		};


	}

}
#endif // !defined(EA_BA91C636_F31F_4028_B0EE_27AFD1B33442__INCLUDED_)
