///////////////////////////////////////////////////////////
//  EraseRom.h
//  Implementation of the Class EraseRom
//  Created on:      29-4-2009 15:41:18
//  Original author: Ueno
///////////////////////////////////////////////////////////

#if !defined(EA_18153A56_FD5A_41e1_9A46_87BBF1D586A9__INCLUDED_)
#define EA_18153A56_FD5A_41e1_9A46_87BBF1D586A9__INCLUDED_

#include "UI/CommandInterpreter/Command.h"
#include "Unit/CPUBoard/CPUBoard.h"

namespace Application
{
	namespace EELTBootWriter
	{
		/**
		 * @author Ueno
		 * @version 1.0
		 * @created 29-4-2009 15:41:18
		 */
		class EraseRom : public UI::CommandInterpreter::Command
		{

		public:
			EraseRom(Unit::CPUBoard::CPUBoard* pCPUBoard);
			virtual ~EraseRom();

			/**
			 * 
			 * @param command
			 */
			bool check(const Common::BasicType::Bytes* command);
			/**
			 * 
			 * @param com
			 * @param command
			 */
			void execute(Unit::Communication::Com* com, Common::BasicType::Bytes* command);
		private:
			Unit::CPUBoard::CPUBoard* m_pCPUBoard;
		};

	}

}
#endif // !defined(EA_18153A56_FD5A_41e1_9A46_87BBF1D586A9__INCLUDED_)
