extern void start(void);
extern void Handler_WDT_timer();

#define C_LANG_	// for util.h
#include "Common/BasicType/util.h"

void _sysinit(void)
{
	HALInit();
}


#if defined(SCI_MODEL)
extern void Handler_ERI0();
extern void Handler_RXI0();
extern void Handler_TXI0();
extern void Handler_TEI0();
extern void Handler_ERI1();
extern void Handler_RXI1();
extern void Handler_TXI1();
extern void Handler_TEI1();
extern void Handler_ERI2();
extern void Handler_RXI2();
extern void Handler_TXI2();
extern void Handler_TEI2();

#define H_ERI0	Handler_ERI0
#define H_RXI0	Handler_RXI0
#define H_TXI0	Handler_TXI0
#define H_TEI0	Handler_TEI0

#define H_ERI1	Handler_ERI1
#define H_RXI1	Handler_RXI1
#define H_TXI1	Handler_TXI1
#define H_TEI1	Handler_TEI1

#define H_ERI2	Handler_ERI2
#define H_RXI2	Handler_RXI2
#define H_TXI2	Handler_TXI2
#define H_TEI2	Handler_TEI2
#else
#define H_ERI0	start
#define H_RXI0	start
#define H_TXI0	start
#define H_TEI0	start

#define H_ERI1	start
#define H_RXI1	start
#define H_TXI1	start
#define H_TEI1	start

#define H_ERI2	start
#define H_RXI2	start
#define H_TXI2	start
#define H_TEI2	start
#endif


#if defined(TIMER_MODEL)
extern void Handler_8BIT_0_timer();
extern void Handler_8BIT_1_timer();
extern void Handler_16BIT_0_timer();
extern void Handler_16BIT_1_timer();
extern void Handler_16BIT_2_timer();

#define H_16BIT_0_timer	Handler_16BIT_0_timer
#define H_16BIT_1_timer	Handler_16BIT_1_timer
#define H_16BIT_2_timer	Handler_16BIT_2_timer
#define H_8BIT_0_timer	Handler_8BIT_0_timer
#define H_8BIT_1_timer	Handler_8BIT_1_timer
#else
#define H_16BIT_0_timer	start
#define H_16BIT_1_timer	start
#define H_16BIT_2_timer	start
#define H_8BIT_0_timer	start
#define H_8BIT_1_timer	start
#endif

/* ߥ٥ơ֥ */
typedef unsigned long  fp;

fp vectors[] __attribute__ ((section (".vectors")))={
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)start ,(fp)Handler_WDT_timer ,(fp)start ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,

   (fp)H_16BIT_0_timer ,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)H_16BIT_1_timer ,(fp)start	,(fp)start  ,(fp)start,
   (fp)H_16BIT_2_timer ,(fp)start	,(fp)start  ,(fp)start,
   
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   
   (fp)H_8BIT_0_timer ,(fp)start	,(fp)start  ,(fp)start,
   (fp)H_8BIT_1_timer ,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   (fp)start	,(fp)start	,(fp)start  ,(fp)start,
   
   (fp)H_ERI0	,(fp)H_RXI0	,(fp)H_TXI0  ,(fp)H_TEI0,
   (fp)H_ERI1	,(fp)H_RXI1	,(fp)H_TXI1  ,(fp)H_TEI1,
   (fp)H_ERI2	,(fp)H_RXI2	,(fp)H_TXI2  ,(fp)H_TEI2
};


