///////////////////////////////////////////////////////////
//  WriteRom.h
//  Implementation of the Class WriteRom
//  Created on:      29-4-2009 15:41:20
//  Original author: Ueno
///////////////////////////////////////////////////////////

#if !defined(EA_6397FFA2_2F50_4fce_A68D_EE175375FB8C__INCLUDED_)
#define EA_6397FFA2_2F50_4fce_A68D_EE175375FB8C__INCLUDED_


#include "UI/CommandInterpreter/Command.h"
#include "Common/Util/SFormat.h"
#include "Unit/CPUBoard/CPUBoard.h"


namespace Application
{
	namespace EELTBootWriter
	{
		/**
		 * @author Ueno
		 * @version 1.0
		 * @created 29-4-2009 15:41:20
		 */
		class WriteRom : public UI::CommandInterpreter::Command
		{

		public:
			explicit WriteRom(Unit::CPUBoard::CPUBoard* pCPUBoard);
			virtual ~WriteRom();

			/**
			 * 
			 * @param command
			 */
			bool check(const Common::BasicType::Bytes* command);
			/**
			 * 
			 * @param com
			 * @param command
			 */
			void execute(Unit::Communication::Com* com, Common::BasicType::Bytes* command);
		private:
			Common::Util::SFormat m_SFormat;
			Unit::CPUBoard::CPUBoard* m_pCPUBoard;

			void receiveEnd(Unit::Communication::Com* com,char *msg,Common::BasicType::Bytes* command);
			void program();
		};

	}

}
#endif // !defined(EA_6397FFA2_2F50_4fce_A68D_EE175375FB8C__INCLUDED_)
